[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.12.1-90-
From: |
Stefano Lattarini |
Subject: |
[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.12.1-90-g167f68f |
Date: |
Sun, 01 Jul 2012 08:21:25 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=167f68f488bd448dcbb133eb694f0092e241af22
The branch, maint has been updated
via 167f68f488bd448dcbb133eb694f0092e241af22 (commit)
via ddc8bf866fc2592aa9d093c711fffb4e7a0773d3 (commit)
via dc5aff42f44ea05041498679318e325f6dcbcf30 (commit)
from 26c7b8f50a02749e49135cac58c793bde97ec8fc (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
-----------------------------------------------------------------------
Summary of changes:
Makefile.am | 5 -----
lib/am/check.am | 4 ++--
syntax-checks.mk | 14 ++++++++++++++
t/parallel-tests-recheck-pr11791.sh | 18 +++++++++---------
4 files changed, 25 insertions(+), 16 deletions(-)
diff --git a/Makefile.am b/Makefile.am
index 9d58155..b745721 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -613,11 +613,6 @@ ChangeLog: am--changelog-regen-hook
exit 1; \
fi
-# Ensure tests are world-executable.
-# FIXME: this should be turned into a maintainer check...
-dist-hook:
- $(am__cd) $(distdir)/t && chmod a+rx *.sh *.tap
-
## --------------------------- ##
## Perl coverage statistics. ##
diff --git a/lib/am/check.am b/lib/am/check.am
index 16bde36..19a803f 100644
--- a/lib/am/check.am
+++ b/lib/am/check.am
@@ -397,8 +397,8 @@ RECHECK_LOGS = $(TEST_LOGS)
## ------------------------------------------ ##
check-TESTS:
- list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
- list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
+ @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
+ @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
## We always have to remove $(TEST_SUITE_LOG), to ensure its rule is run
## in any case even in lazy mode: otherwise, if no test needs rerunning,
## or a prior run plus reruns all happen within the same timestamp (can
diff --git a/syntax-checks.mk b/syntax-checks.mk
index 3bbc4da..3b20911 100644
--- a/syntax-checks.mk
+++ b/syntax-checks.mk
@@ -65,6 +65,7 @@ sc_tests_required_after_defs \
sc_tests_overriding_macros_on_cmdline \
sc_tests_plain_sleep \
sc_tests_ls_t \
+sc_tests_executable \
sc_m4_am_plain_egrep_fgrep \
sc_tests_no_configure_in \
sc_tests_PATH_SEPARATOR \
@@ -446,6 +447,19 @@ sc_tests_ls_t:
exit 1; \
fi
+## Test scripts must be executable.
+sc_tests_executable:
+ @st=0; \
+ for f in $(xtests); do \
+ case $$f in \
+ t/ax/*|./t/ax/*|$(srcdir)/t/ax/*);; \
+ *) test -x $$f || { echo "$$f: not executable" >&2; st=1; }; \
+ esac; \
+ done; \
+ test $$st -eq 0 || echo '$@: some test scripts are not executable' >&2;
\
+ exit $$st;
+
+
## Never use 'sleep 1' to create files with different timestamps.
## Use '$sleep' instead. Some filesystems (e.g., Windows) have only
## a 2sec resolution.
diff --git a/t/parallel-tests-recheck-pr11791.sh
b/t/parallel-tests-recheck-pr11791.sh
index bfc55fa..2cb18cf 100755
--- a/t/parallel-tests-recheck-pr11791.sh
+++ b/t/parallel-tests-recheck-pr11791.sh
@@ -18,7 +18,7 @@
# failures for the test cases. See automake bug#11791.
required='cc native'
-. ./defs || Exit 1
+. ./defs || exit 1
cat >> configure.ac << 'END'
AC_PROG_CC
@@ -38,11 +38,11 @@ $AUTOMAKE -a
./configure
-$MAKE check >stdout && { cat stdout; Exit 1; }
+$MAKE check >stdout && { cat stdout; exit 1; }
cat stdout
count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
-$MAKE -k recheck >stdout && { cat stdout; Exit 1; }
+$MAKE -k recheck >stdout && { cat stdout; exit 1; }
cat stdout
count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
@@ -50,10 +50,10 @@ count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0
skip=0 error=0
$sleep
echo choke me >> foo.c
-$MAKE recheck >stdout && { cat stdout; Exit 1; }
+$MAKE recheck >stdout && { cat stdout; exit 1; }
cat stdout
# We don't get a change to run the testsuite.
-$EGREP '(X?PASS|X?FAIL|SKIP|ERROR):' stdout && Exit 1
+$EGREP '(X?PASS|X?FAIL|SKIP|ERROR):' stdout && exit 1
# These shouldn't be removed, otherwise the next make recheck will do
# nothing.
test -f foo.log
@@ -62,9 +62,9 @@ test -f foo.trs
st=0; $MAKE -k recheck >stdout || st=$?
cat stdout
# Don't trust the exit status of "make -k" for non-GNU makes.
-if using_gmake && test $st -eq 0; then Exit 1; fi
+if using_gmake && test $st -eq 0; then exit 1; fi
# We don't get a change to run the testsuite.
-$EGREP '(X?PASS|X?FAIL|SKIP|ERROR):' stdout && Exit 1
+$EGREP '(X?PASS|X?FAIL|SKIP|ERROR):' stdout && exit 1
test -f foo.log
test -f foo.trs
@@ -72,13 +72,13 @@ test -f foo.trs
$sleep
echo 'int main (void) { return 0; }' > foo.c
-$MAKE recheck >stdout || { cat stdout; Exit 1; }
+$MAKE recheck >stdout || { cat stdout; exit 1; }
cat stdout
count_test_results total=1 pass=1 fail=0 xpass=0 xfail=0 skip=0 error=0
test -f foo.log
test -f foo.trs
-$MAKE recheck >stdout || { cat stdout; Exit 1; }
+$MAKE recheck >stdout || { cat stdout; exit 1; }
cat stdout
count_test_results total=0 pass=0 fail=0 xpass=0 xfail=0 skip=0 error=0
test -f foo.log
hooks/post-receive
--
GNU Automake
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.12.1-90-g167f68f,
Stefano Lattarini <=